function onBegin()
	disableMovement()
	disableRetry()
	player.ForceCameraUpdate = true
	playMusic("event:/CC/CC_SubnauticaInt/TheEvilWater")
	walkTo(6088)
	wait(1)
	miniTextbox("CC_SubnauticaInt_BeforeRuins1")
	wait(1.5)
	player.ForceCameraUpdate = false
	coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(8172, 400), 4.5))
	wait(0.5)
	player.ForceCameraUpdate = true
	wait(4)
	playSound("event:/CC/CC_SubnauticaInt/Oxygen")
	wait(2.25)
	miniTextbox("CC_SubnauticaInt_BeforeRuins2")
	wait(10.75)
	jump(1.5)
	run(88)
	jump(0.33)
	run(48)
	jump(2)
	run(24)
	miniTextbox("CC_SubnauticaInt_BeforeRuins3")
end

function onEnd(room,wasSkipped)
	enableMovement()
	enableRetry()
	if wasSkipped then
		teleportTo(7000,352,"S9")
	end
end